Authentication and joinproxy satellite failures when Primary is at 11.4.1 and Windows satellite is at 11.4 version

  • 7017082
  • 14-Dec-2015
  • 18-Dec-2015

Environment

Novell ZENworks Configuration Management 11.4
Novell ZENworks Configuration Management 11.4.1

Situation

After updating primary servers to 11.4.1, joinproxy and authentication satellites fail for Windows satellites only.

ERROR (from zmd-messages.log).  

[TRACE] [11/14/2015 23:36:12.023] [548] [ZenworksWindowsService] [64] [] [AuthSatelliteModule] [] [Unable to reconfigure Authentication Satellite Server
Message: Unable to install package: novell-zenworks-equinox-jetty-11.4.0.7529.x86_64.msi.superceded
[ERROR] [11/14/2015 23:36:12.023] [548] [ZenworksWindowsService] [64] [] [AuthSatelliteModule] [AuthSatellite.ErrorInstallingPackage] [Unable to install package novell-zenworks-equinox-jetty-11.4.0.7529.x86_64.msi.superceded] [] [] [] [ZENworks Agent] 
[TRACE] [11/14/2015 23:36:12.460] [548] [ZenworksWindowsService] [64] [] [JoinProxySatelliteModule] [] [Unable to install package: novell-zenworks-joinproxy-satcore-11.4.0.7532.x86_64.msi.superceded] [] [] [] [ZENworks Agent] 
[TRACE] [11/14/2015 23:36:12.460] [548] [ZenworksWindowsService] [64] [] [JoinProxySatelliteModule] [] [Unable to reconfigure Join Proxy Satellite Server
Message: Unable to install package: novell-zenworks-joinproxy-satcore-11.4.0.7532.x86_64.msi.superceded

Resolution

A.  If the Primary servers are already updated to 11.4.1:

Update the satellites to 11.4.1 as soon as possible after updating the primaries.

This is fixed in version 11.4.1 - see KB 7016895 "ZENworks Configuration Management 11.4.1 - update information and list of fixes" which can be found at https://support.microfocus.com/kb/doc.php?id=7016895

B.  If the primary servers are not yet updated to 11.4.1:

For 11.4 zone, to avoid the problem if primaries are still at version 11.4, Novell has made a Patch available for testing, in the form of a Field Test File (FTF): it can be obtained at https://download.novell.com/Download?buildid=kFYP9Ga461o~ as "ZCM 11.4 Fix for Authentication and joinproxy satellite failures after updating Primary to 11.4.1". 

This Patch has had limited testing, and should not be used in a production system without first being checked in a test environment. Some Patches have specific requirements for deployment, it is very important to follow any instructions in the readme at the download site. Please report any problems encountered when using this Patch, by using the feedback link on this TID.

Feedback service temporarily unavailable. For content questions or problems, please contact Support.